Overview | Package | Class | Tree | Deprecated | Index | Help
| Spring Web Flow
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.springframework.binding.expression
Interface Expression

All Known Implementing Classes:
  AbstractGetValueExpression, BeanWrapperExpression, CollectionAddingExpression, CompositeStringExpression, ELExpression, LiteralExpression, SpringELExpression, StaticExpression

    public interface Expression

An expression capable of evaluating itself against context objects. Encapsulates the details of a previously parsed expression string. Provides a common abstraction for expression evaluation independent of any language like OGNL or the Unified EL.

Author:
  Keith Donald

Method Summary
`java.lang.String` | `getExpressionString()` Returns the original string used to create this expression, unmodified.
`java.lang.Object` | `getValue(java.lang.Object context)` Evaluate this expression in the provided context and return the result of evaluation.
`java.lang.Class` | `getValueType(java.lang.Object context)` Returns the most general type that can be passed to the `setValue(Object, Object)` method for the given context.
`void` | `setValue(java.lang.Object context, java.lang.Object value)` Set this expression in the provided context to the value provided.

Method Detail

### getValue

    java.lang.Object getValue(java.lang.Object context)
                              throws EvaluationException

  Evaluate this expression in the provided context and return the result of evaluation.

  Parameters:
    `context` - the context to evaluate this expression in
  Returns:
    the evaluation result
  Throws:
    `EvaluationException` - an exception occurred during expression evaluation

### setValue

    void setValue(java.lang.Object context,
                  java.lang.Object value)
                  throws EvaluationException

  Set this expression in the provided context to the value provided.

  Parameters:
    `context` - the context on which the new value should be set
    `value` - the new value to set
  Throws:
    `EvaluationException` - an exception occurred during expression evaluation

### getValueType

    java.lang.Class getValueType(java.lang.Object context)
                                 throws EvaluationException

  Returns the most general type that can be passed to the `setValue(Object, Object)` method for the given context.

  Parameters:
    `context` - the context to evaluate
  Returns:
    the most general type of value that can be set on this context, or `null` if the type information cannot be determined
  Throws:
    `EvaluationException` - an exception occurred during expression evaluation

### getExpressionString

    java.lang.String getExpressionString()

  Returns the original string used to create this expression, unmodified.

  Returns:
    the original expression string

Overview | Package | Class | Tree | Deprecated | Index | Help
| Spring Web Flow
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD